// Font.h: interface for the CFont class.
//
//////////////////////////////////////////////////////////////////////
#if !defined(AFX_FONT_H__080088D7_87BE_40CE_8DCD_CC3DA54E8506__INCLUDED_)
#define AFX_FONT_H__080088D7_87BE_40CE_8DCD_CC3DA54E8506__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Material.h"
#include "Maths.h"

class CFONT  
{
public:
	unsigned int m_iFontID;
	unsigned int m_iNI;	// 0 - normal or 1 - italic
	unsigned int m_iLengthX, m_iLengthY, m_iSpaceChar;

	tMaterial	m_FontMaterial;
	CMatrix		m_ViewMatrix;
	DWORD		m_wReserved;

	void CreateFont(unsigned int lx, unsigned int ly, unsigned int NI, unsigned int space);
	virtual void glPrint(char *string);
	void Destroy_Font();

	bool Load_Font(char *filename, FILE *f = NULL);
	bool Save_Font(char *filename, FILE *f = NULL);

	CFONT();
	virtual ~CFONT() {Destroy_Font();};

};



#endif // !defined(AFX_FONT_H__080088D7_87BE_40CE_8DCD_CC3DA54E8506__INCLUDED_)
